<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/> <!-- aby fungovaly všechny znaky -->
  </head>
<?php

  // Založení Session
  session_start();
 
  // Uložení dat z ucet.php do paměti Session
  $jmeno = htmlspecialchars($_GET["heslo2"]);
  $jmeno2 = htmlspecialchars($_GET["heslo3"]);
  $jmeno3 = htmlspecialchars($_GET["heslo1"]);
 
  if ($jmeno=="" or $jmeno2=="")  //pokud nikdo nic nezapsal, vypiš chybu
  {
  header("Location: ../ucet.php?errheslo");
  exit();
  }
  if ($jmeno!=$jmeno2)  //pokud se dana hesla nerovnaji, vypiš chybu
  {
  header("Location: ../ucet.php?errheslo");
  exit();
  }
    require_once ("../databaze/pripojit.php"); //připojeni do databaze
	//******kontrola hesla zda je správné
	$dotaz = "SELECT * FROM uzivatele_prehled WHERE jmeno='".$_SESSION["uzivatel"]->jmeno."'";
	$vysledek = mysqli_query($link, $dotaz);
	if (!$vysledek) {
      echo "Špatný dotaz ucet.php";
      exit();  	
    }
	$radek=mysqli_fetch_object($vysledek);
	if ($jmeno3!=$radek->heslo) 
	{
	header("Location: ../ucet.php?errheslo");
	exit();
	}
	//**************************************
	//********* změna hesla***************
	$dotaz="UPDATE uzivatele_prehled SET heslo ='".$jmeno."' WHERE jmeno='".$_SESSION["uzivatel"]->jmeno."'";
    $vysledek = mysqli_query($link, $dotaz);
  
    if (!$vysledek) {
      echo "Špatný dotaz ucet.php";
      exit();  	
    }
  //**************************************
  require_once ("../databaze/odpojit.php"); //odpojeni od databaze
  
  
  
  
  
  header('Location: ../ucet.php?heslo_ok'); //zapiš heslo ok
?>